package com.zksy.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.zksy.base.mapper.AlarmAssignDetailMapper;
import com.zksy.base.domain.AlarmAssignDetail;
import com.zksy.base.service.IAlarmAssignDetailService;

/**
 * 报警清单处理明细Service业务层处理
 * 
 * @author zksy
 * @date 2026-05-06
 */
@Service
public class AlarmAssignDetailServiceImpl implements IAlarmAssignDetailService 
{
    @Autowired
    private AlarmAssignDetailMapper alarmAssignDetailMapper;

    /**
     * 查询报警清单处理明细
     * 
     * @param alarmAssignDetailId 报警清单处理明细主键
     * @return 报警清单处理明细
     */
    @Override
    public AlarmAssignDetail selectAlarmAssignDetailByAlarmAssignDetailId(Long alarmAssignDetailId)
    {
        return alarmAssignDetailMapper.selectAlarmAssignDetailByAlarmAssignDetailId(alarmAssignDetailId);
    }

    /**
     * 查询报警清单处理明细列表
     * 
     * @param alarmAssignDetail 报警清单处理明细
     * @return 报警清单处理明细
     */
    @Override
    public List<AlarmAssignDetail> selectAlarmAssignDetailList(AlarmAssignDetail alarmAssignDetail)
    {
        return alarmAssignDetailMapper.selectAlarmAssignDetailList(alarmAssignDetail);
    }

    /**
     * 新增报警清单处理明细
     * 
     * @param alarmAssignDetail 报警清单处理明细
     * @return 结果
     */
    @Override
    public int insertAlarmAssignDetail(AlarmAssignDetail alarmAssignDetail)
    {
        alarmAssignDetail.setAlarmAssignDetailId(IdWorker.getId());
        return alarmAssignDetailMapper.insertAlarmAssignDetail(alarmAssignDetail);
    }

    /**
     * 修改报警清单处理明细
     * 
     * @param alarmAssignDetail 报警清单处理明细
     * @return 结果
     */
    @Override
    public int updateAlarmAssignDetail(AlarmAssignDetail alarmAssignDetail)
    {
        return alarmAssignDetailMapper.updateAlarmAssignDetail(alarmAssignDetail);
    }

    /**
     * 批量删除报警清单处理明细
     * 
     * @param alarmAssignDetailIds 需要删除的报警清单处理明细主键
     * @return 结果
     */
    @Override
    public int deleteAlarmAssignDetailByAlarmAssignDetailIds(Long[] alarmAssignDetailIds)
    {
        return alarmAssignDetailMapper.deleteAlarmAssignDetailByAlarmAssignDetailIds(alarmAssignDetailIds);
    }

    /**
     * 删除报警清单处理明细信息
     * 
     * @param alarmAssignDetailId 报警清单处理明细主键
     * @return 结果
     */
    @Override
    public int deleteAlarmAssignDetailByAlarmAssignDetailId(Long alarmAssignDetailId)
    {
        return alarmAssignDetailMapper.deleteAlarmAssignDetailByAlarmAssignDetailId(alarmAssignDetailId);
    }
}
